+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "rangeUtil"
keywords = ["grafana","documentation","sdk","@grafana/data"]
type = "docs"
+++

## rangeUtil namespace

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

### rangeUtil namespace

<b>Import</b>

```typescript
import { rangeUtil } from '@grafana/data';
```

## Functions

|  Function | Description |
|  --- | --- |
|  [describeTextRange(expr)](./describetextrange/) |  |
|  [getRelativeTimesList(timepickerSettings, currentDisplay)](./getrelativetimeslist/) |  |

## Variables

|  Variable | Description |
|  --- | --- |
|  [convertRawToRange](./convertrawtorange/) |  |
|  [describeTimeRangeAbbrevation](./describetimerangeabbrevation/) |  |
|  [isValidTimeSpan](./isvalidtimespan/) |  |

